package com.fsx.service;

import java.util.Scanner;

/**
 * 管理员业务
 */
public class AdminService {
    //管理员账号密码
    public static final String USERNAME = "root";
    public static final String PASSWORD = "123456";

    // 定义相应操作：开机、打印系统功能界面、验证管理员身份
    public void printAdminView() {
        System.out.println("*****************************************************************");
        System.out.println("*                                                               *");
        System.out.println("*                                                               *");
        System.out.println("*                    欢迎使用青铜大佬的ATM机                      *");
        System.out.println("*                                                               *");
        System.out.println("*                                                               *");
        System.out.println("*****************************************************************");
    }


    //打印系统功能界面
    public void printSysFuncView() {
        System.out.println("*****************************************************************");
        System.out.println("*        开户(1)                            查询(2)             	*");
        System.out.println("*        取款(3)                            存款(4)             	*");
        System.out.println("*        转账(5)                            改密(6)             	*");
        System.out.println("*        解锁(7)                            锁定(8)             	*");
        System.out.println("*                         退出(t)                              	*");
        System.out.println("*****************************************************************");
    }

    //管理员身份认证
    public boolean adminOperation() {
        Scanner input = new Scanner(System.in);
        System.out.println("请输入管理员账号：");
        String user = input.nextLine();
        //开始验证账号
        if (!USERNAME.equals(user)) {
            return false;
        }
        //如果程序能执行到此处，说明账号没有问题
        System.out.println("请输入管理员密码：");
        String pwd = input.nextLine();
        //验证密码
        if (!PASSWORD.equals(pwd)) {
            return false;
        }
        //如果程序能够执行到此处，说明验证通过，可以跳转页面了
        System.out.println("登录成功，请稍后...");

        //睡眠2秒
        try {
            Thread.sleep(2000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        return true;
    }
}